package de.klawitter.android.widget;

import android.util.AttributeSet;

/**
 * Holds the data of the View in a Grid cell.
 * 
 * @author <a href="mailto:info-android@klawitter.de">Holger Klawitter</a>
 */
public class GridLocation {

	public final static int UNDEFINED = -1;
	
	public int gridX = UNDEFINED;
	public int gridY = UNDEFINED;
	public int gridW = UNDEFINED;
	public int gridH = UNDEFINED;
	
	public void parse( AttributeSet attrs ) {
		gridX = attrs.getAttributeIntValue(GridLayout.SCHEMA, "x", UNDEFINED);
		gridY = attrs.getAttributeIntValue(GridLayout.SCHEMA, "y", UNDEFINED);
		gridW = attrs.getAttributeIntValue(GridLayout.SCHEMA, "width", 1);
		gridH = attrs.getAttributeIntValue(GridLayout.SCHEMA, "height", 1);
	}

	public GridLocation() {}

	public int getGridX() { return gridX; }
	public int getGridY() { return gridY; }
	
	public int getGridWidth() { return gridW; }
	public int getGridHeight() { return gridH; }
	
}
